Doomsday Engine - Feature #2081

Menus and psprite weapons should not be stretched (by default) with 16:9 display modes
2015-06-07 17:17 - skyjake

Status: Closed Start date: 2015-03-16
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version: 2.0 — Home Ul & Packages

Description

We need to tweak the smart stretching thresholds so that 16:9 is not stretched, as this is too great of a stretch and looks awkward.
16:9 is a common aspect ratio nowadays.

Related issues:
Copied from Feature #1997: Menu, weapon, intermission, and finale stretching ... Closed 2015-03-16

Associated revisions

Revision 0e6fc475 - 2016-03-25 14:20 - skyjake

Fixed|Client: Aspect ratio for game content vs. original VGA aspect
This commit changes the way game content is scaled.

Smart aspect ratio calculations are now considerably stricter (10% max
difference), avoiding overly stretched visuals. The "no stretch" mode
adheres exactly to the original VGA aspect ratio.

IssuelD #2081

Revision de5e8bcb - 2016-03-25 14:55 - skyjake

Fixed|Client: Aspect ratio for game content vs. original VGA aspect
This commit changes the way game content is scaled.

Smart aspect ratio calculations are now considerably stricter (10% max
difference), avoiding overly stretched visuals. The "no stretch" mode

adheres exactly to the original VGA aspect ratio.

IssuelD #2081

History

#1 - 2015-06-07 17:17 - skyjake

- Copied from Feature #1997: Menu, weapon, intermission, and finale stretching in Video Settings added

#2 - 2015-06-07 17:18 - skyjake

- Subject changed from Menus and psprite weapons should not be stretched with 16:9 display modes to Menus and psprite weapons should not be
stretched (by default) with 16:9 display modes

#3 - 2016-03-25 14:19 - skyjake

- Status changed from New to Resolved

- Assignee changed from Deng Team to skyjake
- Target version set to 1.15.9

- % Done changed from 0 to 100

Revised the aspect ratio calculations with regard to VGA aspect correction and smart stretch threshold.

#4 - 2016-06-19 02:32 - sonicdoommario
- File 4-3-view.png added
- File 16-9-view.png added
I've checked this out in the latest 2.0 unstable builds, the weapon sprites look much better.

Can this also be changed for the overall viewing area as well? Even on a 16:9 resolution, the viewing area is still cramped up, and it makes the game

feel slower. I've attached two images, one of 16:9 and one of 4:3, and you can notice how much less is visible on the 16:9 image.

Thanks.

#5 - 2016-06-20 21:32 - vermil

| personally believe hud weapon graphics should be stretched by default. It isn't a major issue in Doom, as only one frame of the DB shotgun is drawn
expecting to always be drawn against the screen edge, but many HeXen and Heretic weapons are drawn to be flush against the edge of the screen.

Over the years, | have read many ZDoom users complain that ZDoom doesn't stretch hud weapon graphics; users created a popular 'wide screen'

graphics mod where they edited the weapon sprites to deal with the issue.

| think Dday should keep weapon stretching on by default to highlight it's capabilities. | also personally think it looks better when they are stretched

along with the rest of the mobjs in the gameworld.

#6 - 2016-07-23 22:34 - skyjake
- Status changed from Resolved to Closed

- Target version changed from 1.15.9 to 2.0 — Home Ul & Packages

Files

pistol16-9.png 1.06 MB 2015-03-20 sonicdoommario
pistol4-3.png 648 KB 2015-03-20 sonicdoommario
shotgun4-3.png 649 KB 2015-03-20 sonicdoommario
shotgun16-9.png 1.06 MB 2015-03-20 sonicdoommario
4-3-view.png 573 KB 2016-06-19 sonicdoommario
16-9-view.png 1.03 MB 2016-06-19 sonicdoommario

2024-04-09

22


http://www.tcpdf.org

